Search documentation of ExStreamClient

# ExStreamClient.Model.CampaignResponse (ExStreamClient v0.1.10)

View Source

Schema representing a CampaignResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.CampaignResponse{
      channel_template: ExStreamClient.Model.CampaignChannelTemplate.t() | nil,
      create_channels: boolean(),
      created_at: float(),
      description: String.t(),
      id: String.t(),
      message_template: ExStreamClient.Model.CampaignMessageTemplate.t() | nil,
      name: String.t(),
      scheduled_for: float() | nil,
      segment_ids: [String.t()],
      segments: [ExStreamClient.Model.Segment.t()],
      sender: ExStreamClient.Model.UserResponse.t() | nil,
      sender_id: String.t(),
      sender_mode: String.t(),
      show_channels: boolean(),
      skip_push: boolean(),
      skip_webhook: boolean(),
      stats: ExStreamClient.Model.CampaignStatsResponse.t(),
      status: String.t(),
      stop_at: float() | nil,
      updated_at: float(),
      user_ids: [String.t()],
      users: [ExStreamClient.Model.UserResponse.t()]
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()